Next Previous Contents

## 2. Character classification functions

## 2.1 SLwchar_toupper

Synopsis

  Uppercase a Unicode character

Usage

  `SLwchar_Type SLwchar_toupper (SLwchar_Type wc)`

Description

  `SLwchar_toupper` returns the uppercase equivalent of the specified character.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_tolower, SLwchar_isupper, SLutf8_strup`

## 2.2 SLwchar_tolower

Synopsis

  Lowercase a Unicode character

Usage

  `SLwchar_Type SLwchar_tolower (SLwchar_Type wc)`

Description

  `SLwchar_tolower` returns the lowercase equivalent of the specified character.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_toupper, SLwchar_islower, SLutf8_strlow`

## 2.3 SLwchar_wcwidth

Synopsis

  Determine the displayable width of a wide character

Usage

  `int SLwchar_wcwidth (SLwchar_Type wc)`

Description

  This function returns the number of columns necessary to display the specified Unicode character. Combining characters are meant to be combined with other characters and, as such, have 0 width.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_iscntrl`

## 2.4 SLwchar_isalnum

Synopsis

  Determine if a Unicode character is alphanumeric

Usage

  `int SLwchar_isalnum (SLwchar_Type wc)`

Description

  `SLwchar_isalnum` returns a non-zero value if the Unicode character is alphanumeric, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isalpha, SLwchar_isdigit, SLwchar_iscntrl`

## 2.5 SLwchar_isalpha

Synopsis

  Determine if a Unicode character is an alphabetic character

Usage

  `int SLwchar_isalpha (SLwchar_Type wc)`

Description

  `SLwchar_isalpha` returns a non-zero value if the Unicode character is alphabetic, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isalnum, SLwchar_isalpha, SLwchar_isdigit, SLwchar_iscntrl`

## 2.6 SLwchar_isblank

Synopsis

  Determine if a Unicode character is a blank

Usage

  `int SLwchar_isblank (SLwchar_Type wc)`

Description

  `SLwchar_isblank` returns a non-zero value if the Unicode character is a blank one (space or tab), otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit, SLwchar_iscntrl`

## 2.7 SLwchar_iscntrl

Synopsis

  Determine if a Unicode character is a control character

Usage

  `int SLwchar_iscntrl (SLwchar_Type wc)`

Description

  `SLwchar_isblank` returns a non-zero value if the Unicode character is a control character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit, SLwchar_isprint`

## 2.8 SLwchar_isdigit

Synopsis

  Determine if a Unicode character is a digit

Usage

  `int SLwchar_isdigit (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a digit, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_isalpha, SLwchar_isxdigit, SLwchar_isprint`

## 2.9 SLwchar_isgraph

Synopsis

  Determine if a non-space Unicode character is printable

Usage

  `int SLwchar_isgraph (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a non-space printable character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit, SLwchar_isprint`

## 2.10 SLwchar_islower

Synopsis

  Determine if a Unicode character is alphanumeric

Usage

  `int SLwchar_islower (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a lowercase one, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isupper, SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit, SLwchar_iscntrl`

## 2.11 SLwchar_isprint

Synopsis

  Determine if a Unicode character is printable

Usage

  `int SLwchar_isprint (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a printable one (includes space), otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isgraph, SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit`

## 2.12 SLwchar_ispunct

Synopsis

  Determine if a Unicode character is a punctuation character

Usage

  `int SLwchar_ispunct (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a punctuation character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit, SLwchar_isprint`

## 2.13 SLwchar_isspace

Synopsis

  Determine if a Unicode character is a whitespace character

Usage

  `int SLwchar_isspace (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a whitespace character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isblank, SLwchar_isalpha, SLwchar_isdigit, SLwchar_ispunct`

## 2.14 SLwchar_isupper

Synopsis

  Determine if a Unicode character is uppercase

Usage

  `int SLwchar_isupper (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is an uppercase character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_islower, SLwchar_isspace, SLwchar_isalpha, SLwchar_isdigit`

## 2.15 SLwchar_isxdigit

Synopsis

  Determine if a Unicode character is a hexidecimal digit

Usage

  `int SLwchar_isxdigit (SLwchar_Type wc)`

Description

  This function returns a non-zero value if the specified Unicode character is a hexadecimal digit character, otherwise it returns 0.

Notes

  If the library is not in UTF-8 mode, then the current locale will be used.

See Also

  `SLwchar_isdigit, SLwchar_isspace, SLwchar_isalpha, SLwchar_ispunct`

Next Previous Contents